import { Component } from '@angular/core';
import { RouterOutlet } from '@angular/router';
import { RecipeFormComponent } from './recipe-form/recipe-form.component';
import { RecipeService } from './services/recipe.service';
import { Recipe } from './model/recipe.model';
import { RecipeListComponent } from './components/recipe-list/recipe-list.component';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [
    RouterOutlet,
    RecipeFormComponent,
    RecipeListComponent,
  ],
  providers: [RecipeService],
  templateUrl: './app.component.html',
})
export class AppComponent {
  title = 'bromista-nisqa-receta';

  constructor(protected recipeService: RecipeService){}

  addRecipe($event: Recipe): void {
    this.recipeService.addRecipe($event);
  }
}
